package webservice;


import service.CanteenService;

import javax.inject.Inject;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/canteen")
@Produces(MediaType.APPLICATION_JSON)
public class CanteenEndPoint {

    @Inject
    private CanteenService service;

    @GET
    @Path("{id}")
    public String getCanteen(@PathParam("id") Long id){ return service.getCanteen(id);}

    @GET
    @Path("import")
    public String getAllMenus(){
        return service.parseAndCreateFreeFood();

    }
}
