package webservice;

import service.EmployeeService;

import javax.inject.Inject;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/employee")
@Produces(MediaType.APPLICATION_JSON)
public class EmployeeEndPoint {

    @Inject private EmployeeService service;


        @GET
        @Path("{id}")
        public String getEmployee(@PathParam("id") Long id) {
            return service.getEmployee(id);
        }

        @GET
        @Path("import")
        public String getAllEmployees(){
            return service.parseAndCreateEmployees();

        }
    }

